#Mon May 31 10:27:41 AST 2021
mailConfig.htmlTemplate="<html><body><\!DOCTYPE html>\\n<html>\\n<head>\\n<meta http-equiv\=\\"Content-Type\\" content\=\\"text/html; charset\=UTF-8\\" />\\n</head>\\n<body>\\n<center style\=\\"padding-bottom\: 24px;\\">\\n<table style\=\\"width\: 600px;\\" width\=\\"600\\">\\n<tbody>\\n<tr style\=\\"padding-top\: 24px; padding-bottom\: 24px;\\">\\n<td style\=\\"width\: 50%; padding\: 0;\\" width\=\\"50%\\"><img style\=\\"width\: 150px;\\" src\=\\"https\://www.katalon.com/wp-content/themes/katalon/images/logo-katalon.png\\" alt\=\\"KATALON LOGO\\" /></td>\\n<td style\=\\"width\: 50%; vertical-align\: middle; padding\: 0;\\" valign\=\\"middle\\" width\=\\"50%\\">\\n<h2 style\=\\"margin\: 0; font-size\: 18px; color\: \#04a0dc; text-align\: right;\\">Test Suite Execution Report</h2>\\n</td>\\n</tr>\\n<tr style\=\\"background-color\: \#fff;\\">\\n<td style\=\\"border\: 1px solid \#dddee1; padding\: 24px; word-break\: break-word; word-wrap\: break-word;\\" colspan\=\\"2\\">\\n<p>Dear Sir/Madam,<br /><br />Your test suite has just finished its execution. Here is the summary report.</p>\\n<table class\=\\"border\\" style\=\\"width\: 100%; background-color\: \#f5f7fa; border\: 1px solid \#dddee1;\\" border\=\\"1\\" width\=\\"100%\\" bgcolor\=\\"\#f5f7fa\\">\\n<tbody>\\n<tr>\\n<td style\=\\"width\: 24%;\\" width\=\\"24%\\">Host Name</td>\\n<td class\=\\"border\\" colspan\=\\"3\\">${hostName}</td>\\n</tr>\\n<tr>\\n<td>Operating System</td>\\n<td colspan\=\\"3\\">${os}</td>\\n</tr>\\n<tr>\\n<td class\=\\"border\\">Browser</td>\\n<td colspan\=\\"3\\">${browser}</td>\\n</tr>\\n<tr>\\n<td>Test Suite</td>\\n<td colspan\=\\"3\\">${suiteName}</td>\\n</tr>\\n<tr>\\n<td>Profile</td>\\n<td colspan\=\\"3\\">${executionProfile}</td>\\n</tr>\\n<tr>\\n<td>Result</td>\\n<td style\=\\"width\: 25%; color\: green;\\" width\=\\"25%\\">Passed\: ${totalPassed}</td>\\n<td style\=\\"width\: 25%; color\: red;\\" width\=\\"25%\\">Failed\: ${totalFailed}</td>\\n<td style\=\\"width\: 25%; color\: red;\\" width\=\\"25%\\">Error\: ${totalError}</td>\\n</tr>\\n</tbody>\\n</table>\\n<p>You can now go to your test project to view the execution report. <br /> <br />This email was sent automatically by Katalon System. Please do not reply.<br /><br />Thanks,<br />Taha Helal</p>\\n</td>\\n</tr>\\n</tbody>\\n</table>\\n</center>\\n</body>\\n</html></body></html>"
mailConfig.collectionHtmlTemplate="<html><body><\!DOCTYPE html>\\n<html>\\n<head>\\n<meta http-equiv\=\\"Content-Type\\" content\=\\"text/html; charset\=UTF-8\\" />\\n</head>\\n<body>\\n<center style\=\\"padding-bottom\: 24px;\\">\\n<table style\=\\"width\: 600px;\\" width\=\\"600\\">\\n<tbody>\\n<tr style\=\\"padding-top\: 24px; padding-bottom\: 24px;\\">\\n<td style\=\\"width\: 40%; padding\: 0;\\" width\=\\"50%\\"><img style\=\\"width\: 150px;\\" src\=\\"https\://www.katalon.com/wp-content/themes/katalon/images/logo-katalon.png\\" alt\=\\"KATALON LOGO\\" /></td>\\n<td style\=\\"width\: 60%; vertical-align\: middle; padding\: 0;\\" valign\=\\"middle\\" width\=\\"50%\\">\\n<h2 style\=\\"margin\: 0; font-size\: 18px; color\: \#04a0dc; text-align\: right;\\">Test Suite Collection Execution Report</h2>\\n</td>\\n</tr>\\n<tr style\=\\"background-color\: \#fff;\\">\\n<td style\=\\"border\: 1px solid \#dddee1; padding\: 24px; word-break\: break-word; word-wrap\: break-word;\\" colspan\=\\"2\\">\\n<p>Dear Sir/Madam,<br /><br />Your test suite collection has just finished its execution. Here is the summary report.</p>\\n<table class\=\\"border\\" style\=\\"width\: 100%; background-color\: \#f5f7fa; border\: 1px solid \#dddee1;\\" border\=\\"1\\" width\=\\"100%\\" bgcolor\=\\"\#f5f7fa\\">\\n<tbody>\\n<tr>\\n<td style\=\\"width\: 24%;\\" width\=\\"24%\\">Host Name</td>\\n<td class\=\\"border\\" colspan\=\\"3\\">${hostName}</td>\\n</tr>\\n<tr>\\n<td>Operating System</td>\\n<td colspan\=\\"3\\">${os}</td>\\n</tr>\\n<tr>\\n<td>Test Suite Collection</td>\\n<td colspan\=\\"3\\">${suiteCollectionName}</td>\\n</tr>\\n<tr>\\n<td>Start</td>\\n<td colspan\=\\"3\\">${startTime}</td>\\n</tr>\\n<tr>\\n<td>Duration</td>\\n<td colspan\=\\"3\\">${duration}</td>\\n</tr>\\n<tr>\\n<td>Result</td>\\n<td style\=\\"width\: 25%; color\: green;\\" width\=\\"25%\\">Passed\: ${totalPassed}</td>\\n<td style\=\\"width\: 25%; color\: red;\\" width\=\\"25%\\">Failed\: ${totalFailed}</td>\\n<td style\=\\"width\: 25%; color\: red;\\" width\=\\"25%\\">Error\: ${totalError}</td>\\n</tr>\\n</tbody>\\n</table>\\n<p>You can now go to your test project to view the execution report. <br /> <br />This email was sent automatically by Katalon System. Please do not reply.<br /><br />Thanks,<br />Katalon Studio</p>\\n</td>\\n</tr>\\n</tbody>\\n</table>\\n</center>\\n</body>\\n</html></body></html>"
mailConfig.encryptionEnabled=false
mailConfig.host="smtp.gmail.com"
mailConfig.port="465"
mailConfig.username="taha.helal888@gmail.com"
mailConfig.password="Aa5311609"
mailConfig.securityProtocol="TLS"
mailConfig.attachment=true
mailConfig.subject="Katalon Summary Report"
mailConfig.cc=""
mailConfig.bcc=""
mailConfig.useUsernameAsSender=true
mailConfig.sender="taha.helal888@gmail.com"
mailConfig.reportRecipients="taha.helal888@gmail.com"
mailConfig.reportFormat="[\\n  \\"HTML\\",\\n  \\"PNG\\"\\n]"
mailConfig.sendTestSuiteReport=true
mailConfig.sendReportTestFailedOnly=false
mailConfig.sendTestSuiteCollectionReport=false
mailConfig.skipIndividualTestSuiteReport=false
